Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.linearsend.com/transaction/reference/{reference} \ --header 'Authorization: Bearer <token>'
{ "success": true, "statusCode": 123, "code": "<string>", "message": "<string>", "data": { "reference": "<string>", "batch_reference": "<string>", "status": "<string>", "amount": "<string>", "fee": 123, "currency": "<string>", "narration": "<string>", "completion_date": "<string>", "trace_id": "<string>", "message": "<string>", "customer": { "account_number": "<string>", "name": "<string>" }, "metadata": null }, "meta": {} }
Retrieve a single transaction by its reference code.
JWT access token
1
Transaction retrieved successfully
Show child attributes